> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enad.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch all tags

> Fetch all tags for a given app with pagination. Deprecated. Use https://graphql.enad.io instead.



## OpenAPI

````yaml /swagger/shopper-api.json get /api/v1/omni/:app_id/:store_group/:market/:locale/tags
openapi: 3.0.0
info:
  contact:
    email: support@enad.io
    name: API support
    url: http://enad.io/support
  description: >-
    This is the documentation for Public API v1. All endpoints in this API are
    deprecated. Use https://graphql.enad.io instead.
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://enad.io/terms/
  title: Public API
  version: '1.0'
servers:
  - url: //shopper-cdn.enad.io
security: []
paths:
  /api/v1/omni/:app_id/:store_group/:market/:locale/tags:
    get:
      tags:
        - Tags
      summary: Fetch all tags
      description: >-
        Fetch all tags for a given app with pagination. Deprecated. Use
        https://graphql.enad.io instead.
      parameters:
        - description: App ID
          in: path
          name: app_id
          required: true
          schema:
            type: string
        - description: Market
          in: path
          name: market
          required: true
          schema:
            type: string
        - description: Locale
          in: path
          name: locale
          required: true
          schema:
            type: string
        - description: 'Page number (default: 1)'
          in: query
          name: page
          schema:
            type: integer
        - description: 'Items per page (default: 100, max: 100)'
          in: query
          name: per_page
          schema:
            type: integer
        - description: Filter only active tags
          in: query
          name: only_active
          schema:
            type: boolean
        - description: Filter by tag ID
          in: query
          name: id
          style: form
          explode: false
          schema:
            items:
              type: string
            type: array
      responses:
        '200':
          description: Paginated list of tags
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OkResponseWithPagignation-array_TagDTO'
        '400':
          description: Invalid parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
      deprecated: true
      security:
        - BearerAuth: []
components:
  schemas:
    OkResponseWithPagignation-array_TagDTO:
      properties:
        data:
          items:
            $ref: '#/components/schemas/TagDTO'
          type: array
        page:
          type: integer
        total:
          type: integer
        total_pages:
          type: integer
      type: object
    ErrorMessage:
      description: ErrorMessage is the response for a ErrorMessage
      properties:
        message:
          type: string
      type: object
    TagDTO:
      description: >-
        TagDTO represents the data transfer object for a tag with simplified
        market information.
      properties:
        attributes:
          additionalProperties:
            items:
              $ref: '#/components/schemas/AttributeDTO'
            type: array
          type: object
        created_at:
          type: string
        filterable:
          type: boolean
        id:
          type: string
        key:
          type: string
        name:
          type: string
        status:
          type: string
        updated_at:
          type: string
      type: object
    AttributeDTO:
      description: >-
        AttributeDTO represents the data transfer object for an attribute with
        its values.
      properties:
        description:
          type: string
        id:
          type: string
        key:
          type: string
        name:
          type: string
        values:
          additionalProperties:
            items:
              $ref: '#/components/schemas/AttributeValueDTO'
            type: array
          type: object
      type: object
    AttributeValueDTO:
      description: >-
        AttributeValueDTO represents the data transfer object for an attribute
        value with type information.
      properties:
        image:
          $ref: '#/components/schemas/ImageDTO'
        type:
          type: string
        value:
          type: string
      type: object
    ImageDTO:
      description: ImageDTO represents the data transfer object for an image.
      properties:
        alt:
          type: string
        attributes:
          additionalProperties:
            items:
              $ref: '#/components/schemas/AttributeDTO'
            type: array
          type: object
        blurhash:
          type: string
        custom_fields:
          additionalProperties:
            type: string
          type: object
        sort:
          type: integer
        title:
          type: string
        url:
          type: string
      type: object
  securitySchemes:
    BearerAuth:
      description: Type "Bearer" followed by a space and a token.
      in: header
      name: Authorization
      type: apiKey

````